Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## examples.e2e.common
Class PurchaseQuoteImpl

    java.lang.Object
      |
      +--examples.e2e.common.PurchaseQuoteImpl

public class PurchaseQuoteImpl
extends java.lang.Object
implements PurchaseQuote

`PurchaseQuoteImpl` prvoides a realization of the `PurchaseQuote` interface.

See Also:
  `PurchaseQuote`, Serialized Form

Constructor Summary
`PurchaseQuoteImpl(java.lang.String requestId, java.lang.String quoteId, java.util.Calendar qpaCreationDate, java.util.Calendar quoteDate, java.lang.String supplierName, java.lang.String productId, java.lang.String description, long quotedQty, Money quotedUnitPrice, java.util.Calendar promiseDate)` Construct a PurchaseQuote object.

Method Summary
`java.lang.String` | `description()` Returns a description for the product quoted.
`boolean` | `equals(java.lang.Object obj)` Compares the specified object to this object.
`int` | `hashCode()`
`java.lang.String` | `productId()` Returns the identifier for the product quoted.
`java.util.Calendar` | `promiseDate()` Returns the date promised by the supplier.
`java.util.Calendar` | `qpaCreationDate()` Returns the date the QPA associated with this quote was created.
`java.util.Calendar` | `quoteDate()` Returns the date this quote was generated by the supplier.
`long` | `quotedQty()` Returns the quantity of the product promised by the supplier.
`Money` | `quotedUnitPrice()` Returns the unit price quoted by the supplier.
`java.lang.String` | `quoteId()` Returns the identifier for this quote.
`java.lang.String` | `requestId()` Returns the identifier for the QPA that precipitated this quote.
`void` | `setDescription(java.lang.String description)` Sets a description for the product quoted.
`void` | `setProductId(java.lang.String productId)` Sets the identifier for the product quoted.
`void` | `setPromiseDate(java.util.Calendar promiseDate)` Sets the date promised by the supplier.
`void` | `setQpaCreationDate(java.util.Calendar qpaCreationDate)` Sets the date the QPA associated with this quote was created.
`void` | `setQuoteDate(java.util.Calendar quoteDate)` Sets the date this quote was generated by the supplier.
`void` | `setQuotedQty(long quotedQty)` Sets the quantity of the product promised by the supplier.
`void` | `setQuotedUnitPrice(Money quotedUnitPrice)` Sets the unit price quoted by the supplier.
`void` | `setQuoteId(java.lang.String quoteId)` Sets the quote identifier for this quote.
`void` | `setRequestId(java.lang.String requestId)` Sets the identifier for the QPA that precipitated this quote.
`void` | `setSupplierName(java.lang.String supplierName)` Sets the name of the supplier who sent this quote.
`java.lang.String` | `supplierName()` Returns the name of the supplier who sent this quote.
`java.lang.String` | `toString()` Returns a String that represents the value of this object.
`Money` | `total()` Returns the total cost for the quote.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PurchaseQuoteImpl

    public PurchaseQuoteImpl(java.lang.String requestId,
                             java.lang.String quoteId,
                             java.util.Calendar qpaCreationDate,
                             java.util.Calendar quoteDate,
                             java.lang.String supplierName,
                             java.lang.String productId,
                             java.lang.String description,
                             long quotedQty,
                             Money quotedUnitPrice,
                             java.util.Calendar promiseDate)

  Construct a PurchaseQuote object.

Method Detail

### description

    public java.lang.String description()

  Returns a description for the product quoted.
  Specified by:
    description in interface PurchaseQuote

### equals

    public boolean equals(java.lang.Object obj)

  Compares the specified object to this object. If the given object has the same quote identifier this method will return true; false will be returned otherwise.

  Parameters:
    `obj` - the Object to compare with
  Returns:
    true if the objects have the same quote identifier; false otherwise.
  Overrides:
    equals in class java.lang.Object

### hashCode

    public int hashCode()

  Overrides:
    hashCode in class java.lang.Object

### productId

    public java.lang.String productId()

  Returns the identifier for the product quoted.
  Specified by:
    productId in interface PurchaseQuote

### promiseDate

    public java.util.Calendar promiseDate()

  Returns the date promised by the supplier.
  Specified by:
    promiseDate in interface PurchaseQuote

### qpaCreationDate

    public java.util.Calendar qpaCreationDate()

  Returns the date the QPA associated with this quote was created.
  Specified by:
    qpaCreationDate in interface PurchaseQuote

### quoteDate

    public java.util.Calendar quoteDate()

  Returns the date this quote was generated by the supplier.
  Specified by:
    quoteDate in interface PurchaseQuote

### quotedQty

    public long quotedQty()

  Returns the quantity of the product promised by the supplier.
  Specified by:
    quotedQty in interface PurchaseQuote

### quotedUnitPrice

    public Money quotedUnitPrice()

  Returns the unit price quoted by the supplier.
  Specified by:
    quotedUnitPrice in interface PurchaseQuote

### quoteId

    public java.lang.String quoteId()

  Returns the identifier for this quote.
  Specified by:
    quoteId in interface PurchaseQuote

### requestId

    public java.lang.String requestId()

  Returns the identifier for the QPA that precipitated this quote.
  Specified by:
    requestId in interface PurchaseQuote

### total

    public Money total()

  Returns the total cost for the quote.
  Specified by:
    total in interface PurchaseQuote

### setDescription

    public void setDescription(java.lang.String description)

  Sets a description for the product quoted.

### setProductId

    public void setProductId(java.lang.String productId)

  Sets the identifier for the product quoted.

### setPromiseDate

    public void setPromiseDate(java.util.Calendar promiseDate)

  Sets the date promised by the supplier.

### setQpaCreationDate

    public void setQpaCreationDate(java.util.Calendar qpaCreationDate)

  Sets the date the QPA associated with this quote was created.

### setQuoteDate

    public void setQuoteDate(java.util.Calendar quoteDate)

  Sets the date this quote was generated by the supplier.

### setQuotedQty

    public void setQuotedQty(long quotedQty)

  Sets the quantity of the product promised by the supplier.

### setQuotedUnitPrice

    public void setQuotedUnitPrice(Money quotedUnitPrice)

  Sets the unit price quoted by the supplier.

### setQuoteId

    public void setQuoteId(java.lang.String quoteId)

  Sets the quote identifier for this quote.

### setRequestId

    public void setRequestId(java.lang.String requestId)

  Sets the identifier for the QPA that precipitated this quote.

### setSupplierName

    public void setSupplierName(java.lang.String supplierName)

  Sets the name of the supplier who sent this quote.

### supplierName

    public java.lang.String supplierName()

  Returns the name of the supplier who sent this quote.
  Specified by:
    supplierName in interface PurchaseQuote

### toString

    public java.lang.String toString()

  Returns a String that represents the value of this object.

  Returns:
    a string representation of the receiver
  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved